--AH:ScriptId=9ced78da-a993-4346-9b49-5d200753f2d7;425
DELETE [EventTypeDetails]
DELETE [EventTypes]

/* Data */
INSERT INTO [EventTypes] ([Event_Code],[Event_Description])
SELECT NULL [Event_Code], NULL [Event_Description] WHERE 1=0
UNION ALL SELECT 'ENVMOD','Environment Modified'
UNION ALL SELECT 'ENVNEW','Environment Created'
UNION ALL SELECT 'SECDLP','Security Privilege Deleted'
UNION ALL SELECT 'SECDLR','Security Role Deleted'
UNION ALL SELECT 'SECDLU','Security Named User Deleted'
UNION ALL SELECT 'SECMDR','Security Role Modified'
UNION ALL SELECT 'SECNWP','Security Privilege Created'
UNION ALL SELECT 'SECNWR','Security Role Created'
UNION ALL SELECT 'SECNWU','Security Named User Added'
UNION ALL SELECT 'SYSCFG','System Configuration Changed'
UNION ALL SELECT 'USRDLG','User Group Deleted'
UNION ALL SELECT 'USRDLU','User Deleted'
UNION ALL SELECT 'USRMDU','User Modified'
UNION ALL SELECT 'USRNWG','User Group Created'
UNION ALL SELECT 'USRNWU','User Created'

UNION ALL SELECT 'CONMDC','Connector Changed'
UNION ALL SELECT 'CONNWC','Connector Created'
UNION ALL SELECT 'CONMDF','Connector Filter Changed'
UNION ALL SELECT 'CONDLC','Connector Deleted'

UNION ALL SELECT 'APINWK','API Key Created'
UNION ALL SELECT 'APIMDK','API Key Modified'
UNION ALL SELECT 'APIDLK','API Key Deleted'
GO

INSERT INTO [EventTypeDetails] ([Event_Code],[Detail_Name],[Detail_Type],[Detail_Sequence])
SELECT NULL [Event_Code], NULL [Detail_Name], NULL [Detail_Type], NULL [Detail_Sequence] WHERE 1=0
UNION ALL SELECT 'ENVMOD','Environment_Id','int',1
UNION ALL SELECT 'ENVNEW','Environment_Id','int',1
UNION ALL SELECT 'SECDLP','Privilege_Id','int',1
UNION ALL SELECT 'SECDLR','Role_Name','nvarchar',1
UNION ALL SELECT 'SECDLU','User_Name','nvarchar',1
UNION ALL SELECT 'SECMDR','Role_Id','int',1
UNION ALL SELECT 'SECNWP','Privilege_Id','int',1
UNION ALL SELECT 'SECNWR','Role_Id','int',1
UNION ALL SELECT 'SECNWU','User_Name','nvarchar',1
UNION ALL SELECT 'SYSCFG','Key_Name','varchar',1
UNION ALL SELECT 'USRDLG','Group_Name','nvarchar',1
UNION ALL SELECT 'USRDLU','User_Name','nvarchar',1
UNION ALL SELECT 'USRMDU','User_Name','nvarchar',1
UNION ALL SELECT 'USRNWG','Group_Name','nvarchar',1
UNION ALL SELECT 'USRNWU','User_Name','nvarchar',1

UNION ALL SELECT 'CONMDC','Connector_Id','int',1
UNION ALL SELECT 'CONNWC','Connector_Id','int',1
UNION ALL SELECT 'CONMDF','Connector_Id','int',1
UNION ALL SELECT 'CONDLC','Connector_Name','nvarchar',1

UNION ALL SELECT 'APINWK','ApiKey_Value','varchar',1
UNION ALL SELECT 'APIMDK','API Key Modified','varchar',1
UNION ALL SELECT 'APIDLK','API Key Deleted','varchar',1

GO