IF OBJECT_ID('[PypiPackages_Overview]') IS NOT NULL DROP VIEW [PypiPackages_Overview]
GO

CREATE VIEW [PypiPackages_Overview]
AS

SELECT [Feed_Id],
       [Package_Name],
	   [LatestVersion_Text] = MAX([Version_Text]),
	   [Published_Date] = MAX([Published_Date]),
	   [Download_Count] = SUM([Download_Count])
  FROM [PypiPackages]
 GROUP BY [Feed_Id], [Package_Name]

GO