EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_GetAlternateNames',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedAlternateNames',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets alternate names of all feeds.'
GO

IF OBJECT_ID('[Feeds_GetAlternateNames]') IS NOT NULL DROP PROCEDURE [Feeds_GetAlternateNames]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetAlternateNames]
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [FeedAlternateNames]

END
GO

GRANT EXECUTE ON [Feeds_GetAlternateNames] TO [ProGetUser_Role]
GO
